From: David Marchand <david.marchand@redhat.com>
To: dev@dpdk.org
Cc: aconole@redhat.com, ruifeng.wang@arm.com,
maicolgabriel@hotmail.com, bruce.richardson@intel.com,
Gavin Hu <gavin.hu@arm.com>
Subject: [dpdk-dev] [PATCH v4 4/5] ci: run tests even without hugepage
Date: Mon, 23 Mar 2020 20:59:25 +0100 [thread overview]
Message-ID: <20200323195926.12182-5-david.marchand@redhat.com> (raw)
In-Reply-To: <20200323195926.12182-1-david.marchand@redhat.com>
From: Ruifeng Wang <ruifeng.wang@arm.com>
As fast-tests suite generated with only applicable cases included,
hugepage is not a mandatory to run the test.
Ignore the result of hugepage set up, so that validation in environment
without hugepage can proceed.
Signed-off-by: Ruifeng Wang <ruifeng.wang@arm.com>
Reviewed-by: Gavin Hu <gavin.hu@arm.com>
Acked-by: Aaron Conole <aconole@redhat.com>
---
.ci/linux-setup.sh | 11 ++++-------
1 file changed, 4 insertions(+), 7 deletions(-)
diff --git a/.ci/linux-setup.sh b/.ci/linux-setup.sh
index 2b07d1e0b2..5d3089cadd 100755
--- a/.ci/linux-setup.sh
+++ b/.ci/linux-setup.sh
@@ -3,10 +3,7 @@
# need to install as 'root' since some of the unit tests won't run without it
sudo python3 -m pip install --upgrade 'meson==0.47.1'
-# skip hugepage settings if tests will not run
-if [ "$RUN_TESTS" = "1" ]; then
- # setup hugepages
- cat /proc/meminfo
- sudo sh -c 'echo 1024 > /proc/sys/vm/nr_hugepages'
- cat /proc/meminfo
-fi
+# setup hugepages. error ignored because having hugepage is not mandatory.
+cat /proc/meminfo
+sudo sh -c 'echo 1024 > /proc/sys/vm/nr_hugepages' || true
+cat /proc/meminfo
--
2.23.0
next prev parent reply other threads:[~2020-03-23 20:00 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-03-23 19:59 [dpdk-dev] [PATCH v4 0/5] no-huge unit test David Marchand
2020-03-23 19:59 ` [dpdk-dev] [PATCH v4 1/5] test: load drivers when required David Marchand
2020-03-23 21:01 ` Aaron Conole
2020-03-23 19:59 ` [dpdk-dev] [PATCH v4 2/5] test: skip subtests in no-huge mode David Marchand
2020-03-23 19:59 ` [dpdk-dev] [PATCH v4 3/5] test: allow no-huge mode for fast-tests David Marchand
2020-03-23 19:59 ` David Marchand [this message]
2020-03-23 19:59 ` [dpdk-dev] [PATCH v4 5/5] ci: enable unit test for aarch64 David Marchand
2020-03-24 10:06 ` [dpdk-dev] [PATCH v4 0/5] no-huge unit test David Marchand
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20200323195926.12182-5-david.marchand@redhat.com \
--to=david.marchand@redhat.com \
--cc=aconole@redhat.com \
--cc=bruce.richardson@intel.com \
--cc=dev@dpdk.org \
--cc=gavin.hu@arm.com \
--cc=maicolgabriel@hotmail.com \
--cc=ruifeng.wang@arm.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).